use anyhow::Result;
use clap::Parser;

use cutmerge::cli;
use cutmerge::pipeline;

fn main() -> Result<()> {
    ffmpeg_next::init()?;
    ffmpeg_next::log::set_level(ffmpeg_next::log::Level::Error);

    let args = cli::Args::parse();
    pipeline::run(args)
}
